Subject: Re: [hybi] I-D Action:draft-hixie-thewebsocketprotocol-35.txt

From: <[email-masked]>
Date: Tue, 18 Aug 2009 10:54:55 +0100

Resending the question below - the hybi list seems not to recognise
the address I'm subscribed at...

<http://www.ee.surrey.ac.uk/Personal/L.Wood/><[email-masked]>

-----Original Message-----
From: Wood L Dr (Electronic Eng)
Sent: Mon 2009-08-17 15:58
To: Lars Eggert; [email-masked]
Subject: RE: [tsv-area] Fwd: I-D Action:draft-hixie-thewebsocketprotocol-35.txt
 
I don't see the reason for Connection: upgrade / Upgrade: WebSocket
as the handshake mechanism.

Surely a Content-* header (say: Content-Upgrade: WebSocket) is better, as 
it will be explicitly dropped and 501'd by proxies or by sources
not supporting web sockets? (per section 9.6 of RFC2616.) That
way, you know when the handshake has failed...

thanks,

L.

<http://www.ee.surrey.ac.uk/Personal/L.Wood/><[email-masked]>

-----Original Message-----
From: [email-masked] on behalf of Lars Eggert
Sent: Mon 2009-08-17 11:07
To: TSV Area
Subject: [tsv-area] Fwd: I-D Action:draft-hixie-thewebsocketprotocol-35.txt
 
Transport folks will want to give this a read. Comment on [email-masked].

Lars

Begin forwarded message:

> From: "[email-masked]" <[email-masked]>
> Date: August 16, 2009 11:30:01 GMT+02:00
> To: "[email-masked]" <[email-masked]>
> Subject: I-D Action:draft-hixie-thewebsocketprotocol-35.txt
> Reply-To: "[email-masked]" <[email-masked]>
>
> A New Internet-Draft is available from the on-line Internet-Drafts  
> directories.
>
> 	Title           : The Web Socket protocol
> 	Author(s)       : I. Hickson
> 	Filename        : draft-hixie-thewebsocketprotocol-35.txt
> 	Pages           : 31
> 	Date            : 2009-08-16
>
> This protocol enables two-way communication between a user agent
> running untrusted code running in a controlled environment to a
> remote host that understands the protocol.  It is intended to fail to
> communicate with servers of pre-existing protocols like SMTP or HTTP,
> while allowing HTTP servers to opt-in to supporting this protocol if
> desired.  It is designed to be easy to implement on the server
> side.Author's note
>
> This document is automatically generated from the same source
> document as the HTML5 specification.  [HTML5]
>
> Please send feedback to either the [email-masked] list or the
> [email-masked] list.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-hixie-thewebsocketprotocol-35.txt
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> [InternetShortcut]
> URL=ftp://ftp.ietf.org/internet-drafts/draft-hixie-thewebsocketprotocol-35.txt

---

From: Mark Nottingham <[email-masked]>
Date: Wed, 19 Aug 2009 11:01:45 +1000

I think it's because you're subscribed as 'L.Wood' while the message  
was from 'l.wood' (notice capitalisation).

Regardless, I've added that variation to the whitelist, so you  
shouldn't have this issue again.

Cheers,

On 18/08/2009, at 7:54 PM, <[email-masked]> <[email-masked]>  
wrote:

> _______________________________________________
> hybi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/hybi

--
Mark Nottingham     http://www.mnot.net/

---

From: <[email-masked]>
Date: Mon, 17 Aug 2009 15:58:11 +0100

thanks,

L.

-----Original Message-----
From: [email-masked] on behalf of Lars Eggert
Sent: Mon 2009-08-17 11:07
To: TSV Area
Subject: [tsv-area] Fwd: I-D Action:draft-hixie-thewebsocketprotocol-35.txt

Lars